Subject: Re: WARNING: Serious Pentium Bug
From: [email-masked] (Ron G. Minnich)

10 Nov 1997 08:20:50 -0800
Message-ID: <Pine.SUN.3.91.971110110751.16297A-100000.cygnus.gnu-win32@terra>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Oh, it crashes machines all right. Machines running NT, 95, linux, 
freebsd, you name it. We've tested lots of pentiums here and it locks 
them all up. It's good fun. 

Multiple users, well, I thought that was the point of nt. Note you don't 
have to be logged in to make it run this -- if you're a bad guy you'll 
get the daemons to run it for you via the tried and true paths.

ron

Ron Minnich                |Java: an operating-system-independent, 
[email-masked]       |architecture-independent programming language
(609)-734-3120             |for Windows/95 and Windows/NT on the Pentium
ftp://ftp.sarnoff.com/pub/mnfs/www/docs/cluster.html 

On Fri, 7 Nov 1997, Tim Iverson wrote:

> Just to keep everyone from getting too scared, this really would only matter
> for secure sites with multiple users -- that particular sequence is a
> nonsense instruction.  The only folks using it would be those deliberately
> wanting to bring the system down.
> 
>  Here it is decoded: lock cmpxchg8b eax
> 
> BTW, I haven't tested it, so I don't know if this is even true.  It should
> generate an illegal instruction exception, since the operand needs to be a
> memory reference.
> 
> 
> - Tim Iverson
>   iverson@lionheart-com
> 
> 
> +----------------
> | Date: Fri, 7 Nov 1997 21:54:23 -0500
> | From: Anonymous <[email-masked]>
> | Subject: WARNING: Serious Pentium Bug
> | To: [email-masked]
> | 
> | code will crash any machine running on a pentium CPU, MMX or no 
> | char x [5] = { 0xf0, 0x0f, 0xc7, 0xc8 };
> ...
> | This require no special permissions to run, it works fine with
> | average-joe-userspace permissions. I have verified this, it works.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".